/* -----------------------------------------------------------------------------
*
*  npusgs.h
*
*  ANTz - realtime 3D data visualization tools for the real-world, based on NPE.
*
*  ANTz is hosted at http://openantz.com and NPE at http://neuralphysics.org
*
*  Written in 2010-2016 by Shane Saxon - saxon@openantz.com
*
*  Please see main.c for a complete list of additional code contributors.
*
*  To the extent possible under law, the author(s) have dedicated all copyright 
*  and related and neighboring rights to this software to the public domain
*  worldwide. This software is distributed without any warranty.
*
*  Released under the CC0 license, which is GPL compatible.
*
*  You should have received a copy of the CC0 Public Domain Dedication along
*  with this software (license file named LICENSE.txt). If not, see
*  http://creativecommons.org/publicdomain/zero/1.0/
*
* --------------------------------------------------------------------------- */
#ifndef NPUSGS_H_
#define NPUSGS_H_

#include "../../npdata.h"
#include "npusgs.h"

struct NPeq {
	int eventid;
	char* datasource;
	int dataid;
	char* eventsource;
	float mag;
};
typedef struct NPeq NPeq;
typedef NPeq* pNPeq;

struct NPusgs {
	int action;
	NPeq eq;
	char eqLink[512];
};
typedef struct NPusgs NPusgs;
typedef NPusgs* pNPusgs;


void npInitUSGS(void* dataRef);

void npUpdateUSGS(void* dataRef);

void npCloseUSGS(void* dataRef);

void npTestUSGS(void* dataRef);

#endif